/////////////////////////////////////////////////////////
// 2. PARSEC Parametrization for airfoil shape         //
/////////////////////////////////////////////////////////

function out = PARSEC(rle, xup, zup, zxxup, xlo, zlo, zxxlo, zte, ate, bte)
    
    Cup = [1 1 1 1 1 1 ;
    (xup)^(1/2) (xup)^(3/2) (xup)^(5/2) (xup)^(7/2) (xup)^(9/2) (xup)^(11/2);
    1/2 3/2 5/2 7/2 9/2 11/2;
    (1/2) * ((xup)^(-1/2)) (3/2) * ((xup)^(1/2)) (5/2) * ((xup)^(3/2)) (7/2) * ((xup)^(5/2)) (9/2) * ((xup)^(7/2)) (11/2) * ((xup)^(9/2));
    (-1/4) * ((xup)^(-3/2)) (3/4) * ((xup)^(-1/2)) (15/4) * ((xup)^(1/2)) (15/4) * ((xup)^(1/2)) (63/4) * ((xup)^(5/2)) (99/4) * ((xup)^(7/2));
    1 0 0 0 0 0];
    
    Clo = [1 1 1 1 1 1 ;
    (xlo)^(1/2) (xlo)^(3/2) (xlo)^(5/2) (xlo)^(7/2) (xlo)^(9/2) (xlo)^(11/2);
    1/2 3/2 5/2 7/2 9/2 11/2;
    (1/2) * ((xlo)^(-1/2)) (3/2) * ((xlo)^(1/2)) (5/2) * ((xlo)^(3/2)) (7/2) * ((xlo)^(5/2)) (9/2) * ((xlo)^(7/2)) (11/2) * ((xlo)^(9/2));
    (-1/4) * ((xlo)^(-3/2)) (3/4) * ((xlo)^(-1/2)) (15/4) * ((xlo)^(1/2)) (15/4) * ((xlo)^(1/2)) (63/4) * ((xlo)^(5/2)) (99/4) * ((xlo)^(7/2));
    1 0 0 0 0 0];
    
    bup = [zte; zup ; tan((ate - bte/2) * %pi /180) ; 0 ; zxxup ; sqrt(2 * rle)];
    
    blo = [zte; zlo ; tan((ate + bte/2) * %pi /180) ; 0 ; zxxlo ; -sqrt(2 * rle)];
    
    aup = inv(Cup) * bup;
    alo = inv(Clo) * blo;
    
    discrX = [[0:0.005:0.1] [0.15:0.05:0.9] [0.905:0.005:1]];
    Xup = [discrX .^ (1/2) ; discrX .^ (3/2) ; discrX .^ (5/2) ; discrX .^ (7/2) ; discrX .^ (9/2) ; discrX .^ (11/2)];
    Xlo = [discrX .^ (1/2) ; discrX .^ (3/2) ; discrX .^ (5/2) ; discrX .^ (7/2) ; discrX .^ (9/2) ; discrX .^ (11/2)];
    
    ZZup = aup' * Xup;
    ZZlo = alo' * Xlo;
    
///////////////////////////////////// 
// To comment for batch execution  //
/////////////////////////////////////
//    plot(discrX, ZZup)
//    plot(discrX, ZZlo)
//    a= gca()
//    a.isoview = 'on'
    
    out =[discrX ; discrX ; ZZup ; ZZlo];
    
endfunction
