///////////////////////////////////
// Load parametrization files    //
///////////////////////////////////

exec Case_Set_Up\PARSEC.sce
exec Case_Set_Up\BlockMesh_Dict_Change.sce

///////////////////////////////////
// Design of Experiment          //
///////////////////////////////////

B = [ -1.  -1.  -1.  -1.  -1.  -1.  -1.  -1.  -1.  -1.;
  -1.  -1.  -1.  -1.   1.  -1.  -1.  -1.  -1.   1.;
  -1.  -1.  -1.   1.  -1.  -1.   1.   1.   1.   1.;
  -1.  -1.  -1.   1.   1.  -1.   1.   1.   1.  -1.;
  -1.  -1.   1.  -1.  -1.   1.   1.  -1.   1.   1.;
  -1.  -1.   1.  -1.   1.   1.   1.  -1.   1.  -1.;
  -1.  -1.   1.   1.  -1.   1.  -1.   1.  -1.  -1.;
  -1.  -1.   1.   1.   1.   1.  -1.   1.  -1.   1.;
  -1.   1.  -1.  -1.  -1.   1.  -1.   1.   1.  -1.;
  -1.   1.  -1.  -1.   1.   1.  -1.   1.   1.   1.;
  -1.   1.  -1.   1.  -1.   1.   1.  -1.  -1.   1.;
  -1.   1.  -1.   1.   1.   1.   1.  -1.  -1.  -1.;
  -1.   1.   1.  -1.  -1.  -1.   1.   1.  -1.   1.;
  -1.   1.   1.  -1.   1.  -1.   1.   1.  -1.  -1.;
  -1.   1.   1.   1.  -1.  -1.  -1.  -1.   1.  -1.;
  -1.   1.   1.   1.   1.  -1.  -1.  -1.   1.   1.;
   1.  -1.  -1.  -1.  -1.   1.   1.   1.  -1.  -1.;
   1.  -1.  -1.  -1.   1.   1.   1.   1.  -1.   1.;
   1.  -1.  -1.   1.  -1.   1.  -1.  -1.   1.   1.;
   1.  -1.  -1.   1.   1.   1.  -1.  -1.   1.  -1.;
   1.  -1.   1.  -1.  -1.  -1.  -1.   1.   1.   1.;
   1.  -1.   1.  -1.   1.  -1.  -1.   1.   1.  -1.;
   1.  -1.   1.   1.  -1.  -1.   1.  -1.  -1.  -1.;
   1.  -1.   1.   1.   1.  -1.   1.  -1.  -1.   1.;
   1.   1.  -1.  -1.  -1.  -1.   1.  -1.   1.  -1.;
   1.   1.  -1.  -1.   1.  -1.   1.  -1.   1.   1.;
   1.   1.  -1.   1.  -1.  -1.  -1.   1.  -1.   1.;
   1.   1.  -1.   1.   1.  -1.  -1.   1.  -1.  -1.;
   1.   1.   1.  -1.  -1.   1.  -1.  -1.  -1.   1.;
   1.   1.   1.  -1.   1.   1.  -1.  -1.  -1.  -1.;
   1.   1.   1.   1.  -1.   1.   1.   1.   1.  -1.;
   1.   1.   1.   1.   1.   1.   1.   1.   1.   1.];

B = (B/2) + 3/2;
MyBoundMat = [0.005 0.3 0.12 -0.4 0.2 -0.07 0.3 -0.01 -13 4 ;
              0.02 0.7 0.18 0 0.6 0.02 0.9 0.05 -3 8];

myDoE = [];
for i = 1:10
myDoE(:,i) = MyBoundMat(B(:,i), i);
end

///////////////////////////////////
// Run DoE Simulations           //
///////////////////////////////////

for j=1:size(myDoE, 'r')
disp('Set-up case N°' + string(j))

// 1. Clean case
//////////////////////////////////////
// Change path                      //
cd /mnt/c/Users/hag/Documents/airFoil2D
//////////////////////////////////////
unix('./Allclean')
//////////////////////////////////////
// Change path                      //
cd /mnt/c/Users/hag/Documents/airFoil2D/system
//////////////////////////////////////
unix('rm blockMeshDict')

// 2. Generate new mesh
out = PARSEC(myDoE(j,1),myDoE(j,2),myDoE(j,3),myDoE(j,4),myDoE(j,5),myDoE(j,6),myDoE(j,7),myDoE(j,8),myDoE(j,9),myDoE(j,10));
genMyBMDict(out(1,:), out(2,:), out(3,:), out(4,:), 5);
//////////////////////////////////////
// Change path                      //
cd /mnt/c/users/hag/Documents/airFoil2D
//////////////////////////////////////
unix('blockMesh')

// 3. Run case
unix('simpleFoam > logSFmC')
end
