/////////////////////////////////////////////////////////
// 2. Cost function                                    //
/////////////////////////////////////////////////////////

exec Optimization\subPARSEC.sce
exec Case_Set_Up\BlockMesh_Dict_Change.sce

function out = mycostfunc(x)

// 1. Clean case
//////////////////////////////////////
// Change path                      //
cd /mnt/c/Users/hag/Documents/airFoil2D
//////////////////////////////////////
unix('./Allclean')
//////////////////////////////////////
// Change path                      //
cd /mnt/c/Users/hag/Documents/airFoil2D/system
//////////////////////////////////////
unix('rm blockMeshDict')

// 2. Generate new mesh
tmp = subPARSEC(x(1) ,x(2),x(3) ,x(4));
genMyBMDict(tmp(1,:), tmp(2,:), tmp(3,:), tmp(4,:), 5);
//////////////////////////////////////
// Change path                      //
cd /mnt/c/Users/hag/Documents/airFoil2D
//////////////////////////////////////
unix('blockMesh')

// 3. Run case
unix('simpleFoam > logSFmC')

// 4. Extract results
Coef = csvRead('postProcessing/forceCoeffs/0/coefficient.dat', [], '.', 'string', [], [], [], 20);
Coef = evstr(Coef($))
Cl = Coef(4);
Cd = Coef(3);

// 5. Build cost function
out(1,1) = Cd
out(1,2) = 30 - Cl

endfunction
